Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Update Rule

Updates a routing rule's name, strategy, or match configuration.

PUT/gateway/{gateway_id}/rules/{rule_id}/

Path parameters

  • gateway_idPathintegerrequired

    Gateway ID

  • rule_idPathintegerrequired

    Rule ID

Query parameters

  • project_idQueryintegerrequired

    Project ID

  • locationQuerystringrequired

    Location

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

Request body

application/json

object
route_namestring

Updated rule name.

exampleupdated-route
routing_strategystringWeight-Based | Prefix-Based | Header-Based

Updated routing strategy.

statusstringActive | Inactive

Updated rule status.

rulesobject

Updated routing configuration.

Responses

No documented responses.